# Drone

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/drone/status.svg)](https://drone.autonomic.zone/coop-cloud/drone)

<!-- metadata -->
* **Category**: Apps
* **Status**: 1, alpha
* **Image**: [`drone/drone`](https://hub.docker.com/r/drone/drone), 4, upstream
* **Healthcheck**: Yes
* **Backups**: ?
* **Email**: ?
* **Tests**: 2
* **SSO**: 3 (OAuth)
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new drone --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Open the configured domain in your browser to finish set-up

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik
